Eclipse Draw2d 3.3

## org.eclipse.draw2d
Class ScalableLayeredPane

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.draw2d.Layer
              org.eclipse.draw2d.LayeredPane
                  org.eclipse.draw2d.ScalableLayeredPane

All Implemented Interfaces:
  IFigure, ScalableFigure

    public class ScalableLayeredPane

extends LayeredPane
implements ScalableFigure

A non-freeform, scalable layered pane.

Since:
  2.1.1

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure
`Figure.ClippingStrategy, Figure.FigureIterator, Figure.IdentitySearch`

Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure
`IFigure.NoInsets`

Field Summary

Fields inherited from class org.eclipse.draw2d.Figure
`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`ScalableLayeredPane()`

Method Summary
`Rectangle` `getClientArea(Rectangle rect)` Copies the client area into the specificied Recangle, and returns that rectangle for convenience.
`Dimension` `getMinimumSize(int wHint, int hHint)` Returns a hint indicating the smallest desireable size for the IFigure.
`Dimension` `getPreferredSize(int wHint, int hHint)` Returns the preferred size for this IFigure using the provided width and height hints.
`double` `getScale()` Returns the scale level, default is 1.0.
`boolean` `isCoordinateSystem()` Returns `true` if this figure is capable of applying a local coordinate system which affects its children.
`protected void` `paintClientArea(Graphics graphics)` Paints this Figure's client area.
`void` `setScale(double newZoom)` Sets the zoom level
`void` `translateFromParent(Translatable t)` Translates a Translatable from this IFigure's parent's coordinates to this IFigure's local coordinates.
`void` `translateToParent(Translatable t)` Translates a Translatable from this IFigure's coordinates to its parent's coordinates.

Methods inherited from class org.eclipse.draw2d.LayeredPane
`add, addLayerAfter, addLayerBefore, getLayer, getLayer, remove, removeLayer, removeLayer, removeLayer`

Methods inherited from class org.eclipse.draw2d.Layer
`containsPoint, findFigureAt`

Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClippingStrategy, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getParent, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintFigure, primTranslate, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateToAbsolute, translateToRelative, useLocalCoordinates, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.draw2d.IFigure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getMaximumSize, getMinimumSize, getParent, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, remove, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setVisible, translate, translateToAbsolute, translateToRelative, validate`

Constructor Detail

### ScalableLayeredPane

    public ScalableLayeredPane()

Method Detail

### getClientArea

    public Rectangle getClientArea(Rectangle rect)

  Description copied from interface: `IFigure`
  Copies the client area into the specificied Recangle, and returns that rectangle for convenience.

  Specified by:
    `getClientArea` in interface `IFigure`
  Overrides:
    `getClientArea` in class `Figure`
  Parameters:
    `rect` - The destination rectangle for the client area
  Returns:
    The same instance that was passed in, modified to contain the client area
  See Also:
    `IFigure.getClientArea(Rectangle)`

### getMinimumSize

    public Dimension getMinimumSize(int wHint,
                                    int hHint)

  Description copied from interface: `IFigure`
  Returns a hint indicating the smallest desireable size for the IFigure. The returned dimension may be by reference, and it must not be modified by the caller.

  Specified by:
    `getMinimumSize` in interface `IFigure`
  Overrides:
    `getMinimumSize` in class `Figure`
  Parameters:
    `wHint` - the width hint
    `hHint` - the height hint
  Returns:
    The minimum size
  See Also:
    `Figure.getPreferredSize(int, int)`

### getPreferredSize

    public Dimension getPreferredSize(int wHint,
                                      int hHint)

  Description copied from interface: `IFigure`
  Returns the preferred size for this IFigure using the provided width and height hints. The returned dimension may be by reference, and it must not be modified by the caller. A value of `-1` indicates that there is no constraint in that direction.

  Specified by:
    `getPreferredSize` in interface `IFigure`
  Overrides:
    `getPreferredSize` in class `Figure`
  Parameters:
    `wHint` - a width hint
    `hHint` - a height hint
  Returns:
    The preferred size
  See Also:
    `Figure.getPreferredSize(int, int)`

### getScale

    public double getScale()

  Returns the scale level, default is 1.0.

  Specified by:
    `getScale` in interface `ScalableFigure`
  Returns:
    the scale level

### isCoordinateSystem

    public boolean isCoordinateSystem()

  Description copied from interface: `IFigure`
  Returns `true` if this figure is capable of applying a local coordinate system which affects its children.

  Specified by:
    `isCoordinateSystem` in interface `IFigure`
  Overrides:
    `isCoordinateSystem` in class `Figure`
  Returns:
    `true` if this figure provides local coordinates to children
  See Also:
    `IFigure.isCoordinateSystem()`

### paintClientArea

    protected void paintClientArea(Graphics graphics)

  Description copied from class: `Figure`
  Paints this Figure's client area. The client area is typically defined as the anything inside the Figure's `Border` or `Insets`, and by default includes the children of this Figure. On return, this method must leave the given Graphics in its initial state.

  Overrides:
    `paintClientArea` in class `Figure`
  Parameters:
    `graphics` - The Graphics used to paint
  See Also:
    `Figure.paintClientArea(Graphics)`

### setScale

    public void setScale(double newZoom)

  Sets the zoom level

  Specified by:
    `setScale` in interface `ScalableFigure`
  Parameters:
    `newZoom` - The new zoom level

### translateFromParent

    public void translateFromParent(Translatable t)

  Description copied from interface: `IFigure`
  Translates a Translatable from this IFigure's parent's coordinates to this IFigure's local coordinates.

  Specified by:
    `translateFromParent` in interface `IFigure`
  Overrides:
    `translateFromParent` in class `Figure`
  Parameters:
    `t` - The object to translate
  See Also:
    `Figure.translateFromParent(Translatable)`

### translateToParent

    public void translateToParent(Translatable t)

  Description copied from interface: `IFigure`
  Translates a Translatable from this IFigure's coordinates to its parent's coordinates.

  Specified by:
    `translateToParent` in interface `IFigure`
  Overrides:
    `translateToParent` in class `Figure`
  Parameters:
    `t` - The object to translate
  See Also:
    `Figure.translateToParent(Translatable)`

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.